[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.AddHandlerOnKeyDown

Adds the specified OnKeyDown event handler.

## Declaration

Source position: controls.pp line 1770

`public procedure TControl.AddHandlerOnKeyDown(`
`const OnKeyDownEvent: TKeyEvent;`
`AsFirst: Boolean = False`
`);`

## Arguments

`OnKeyDownEvent` |  | TKeyEvent handler routine added to the chtOnKeyDown handler type.
`AsFirst` |  | True if the routine is inserted as the first handler in the list of handlers for the chtOnKeyDown type. False if the routine is appended to the list.